{ config, pkgs, lib, ... }:
{
  # TODO: Login does not work. Webbrowser does not redirect back to Element app. Firefox does not ask to open link with Element app. It works with the Flatpak version though.

  # TODO: Application not found in GNOME app list. Maybe .desktop file missing? Maybe that causes the above error?

  users.users.yoda = {
    packages = with pkgs; [
      # Matrix chat client.
      (
        if (config.services.xserver.displayManager.gdm.wayland)
        then element-desktop-wayland
        else element-desktop
      )
    ];
  };
}
